summaryrefslogtreecommitdiff
path: root/dev-python/flask-wtf
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/flask-wtf
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/flask-wtf')
-rw-r--r--dev-python/flask-wtf/Manifest2
-rw-r--r--dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild61
-rw-r--r--dev-python/flask-wtf/flask-wtf-0.14.3.ebuild41
-rw-r--r--dev-python/flask-wtf/metadata.xml14
4 files changed, 118 insertions, 0 deletions
diff --git a/dev-python/flask-wtf/Manifest b/dev-python/flask-wtf/Manifest
new file mode 100644
index 000000000000..5e3bfb627f6c
--- /dev/null
+++ b/dev-python/flask-wtf/Manifest
@@ -0,0 +1,2 @@
+DIST Flask-WTF-0.14.2.tar.gz 254903 BLAKE2B dd6b650d97622dbb56cc0bdd3c036f14e562181720ede0c48652b8fcbc88d2d684f013f0468e723b8b0746f2c6f44ca18ffe0ea353594680b47bc1212664ce52 SHA512 9d4b4b24eb24827aeb524699e6720eab384c42901a102daddd9fdc6b8dbc8eebec8c9d31a1e9052c9af4d61bd08eef8ef9dc4cdc8d9b950ff5bdd0201db1dfde
+DIST Flask-WTF-0.14.3.tar.gz 44507 BLAKE2B d160e10b1434c0578708c265468b77624953eb2d4ddde9a6ed2ff5b4f4651e0d5d2483020f51c9e512e3cb04895ecaa8fd1d0bf9380211d0a916acd8428f353a SHA512 58bdb87e442dd49dcbc9090e6466ecbd0b5c6bd2f097a26e071a5c73e09256ac46cc2f794f138f0e0b45e4f65ce70c231c275dc69aa44df408d7d79b15198832
diff --git a/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild b/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild
new file mode 100644
index 000000000000..959ec5c33977
--- /dev/null
+++ b/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+MY_PN="Flask-WTF"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple integration of Flask and WTForms"
+HOMEPAGE="https://pythonhosted.org/Flask-WTF/ https://pypi.org/project/Flask-WTF/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-babel[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ >=dev-python/wtforms-1.0.5[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+ doc? (
+ ${RDEPEND}
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+ # tries to access things over the network
+ rm tests/test_recaptcha.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild b/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild
new file mode 100644
index 000000000000..507179b7af31
--- /dev/null
+++ b/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+MY_PN="Flask-WTF"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple integration of Flask and WTForms"
+HOMEPAGE="https://pythonhosted.org/Flask-WTF/ https://pypi.org/project/Flask-WTF/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-babel[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ >=dev-python/wtforms-1.0.5[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tries to access things over the network
+ rm tests/test_recaptcha.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/flask-wtf/metadata.xml b/dev-python/flask-wtf/metadata.xml
new file mode 100644
index 000000000000..5156c83c05d2
--- /dev/null
+++ b/dev-python/flask-wtf/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Flask-WTF</remote-id>
+ <remote-id type="github">lepture/flask-wtf</remote-id>
+ <bugs-to>https://github.com/lepture/flask-wtf/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>